%define upstream_name    B-Flags
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Friendlier flags for B
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
By default, '$foo->flags' when passed an object in the 'B' class will
produce a relatively meaningless number, which one would need to grovel
through the Perl source code in order to do anything useful with. This
module adds 'flagspv' to the SV and op classes and 'privatepv' to the op
classes, which makes them easier to understand.

*Warning*: This module is not _guaranteed_ compatible with any version of
Perl below 5.7.0; however, I'd like to make it so compatible, so if it
fails to compile, mail me. There's probably an '#ifdef' I need to add
somewhere...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.170.0-12.mga10
+ Revision: 2087993
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.170.0-11.mga10
+ Revision: 2010443
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.170.0-10.mga9
+ Revision: 1861556
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.170.0-9.mga9
+ Revision: 1795514
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.170.0-8.mga9
+ Revision: 1726401
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.170.0-7.mga8
+ Revision: 1594303
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.170.0-6.mga8
+ Revision: 1528889
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.170.0-5.mga8
+ Revision: 1432757
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.170.0-4.mga7
+ Revision: 1292355
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.170.0-3.mga7
+ Revision: 1248988
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.170.0-2.mga7
+ Revision: 1163159
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 guillomovitch <guillomovitch> 0.170.0-1.mga7
+ Revision: 1156633
- new version 0.17

* Thu Aug 31 2017 pterjan <pterjan> 0.160.0-4.mga7
+ Revision: 1148656
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.160.0-3.mga7
+ Revision: 1126771
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1022700
- Rebuild for perl 5.22.2

* Sat Mar 05 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 986122
- update to 0.16
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 0.150.0-1.mga6
+ Revision: 903330
- new release

* Mon Sep 28 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 884411
- update to 0.14

* Sat Jun 27 2015 tv <tv> 0.130.0-3.mga6
+ Revision: 846058
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.130.0-2.mga6
+ Revision: 844741
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 841842
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 747506
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683584
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-3.mga5
+ Revision: 630820
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 534042
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 476083
- update to 0.10

* Thu Aug 29 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 473064
- update to 0.08

* Wed May 29 2013 jquelin <jquelin> 0.60.0-5.mga4
+ Revision: 430548
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.60.0-4.mga4
+ Revision: 430075
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-3.mga3
+ Revision: 363293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-2.mga3
+ Revision: 250291
- rebuild for perl 5.16

* Mon May 28 2012 kharec <kharec> 0.60.0-1.mga3
+ Revision: 248067
- update to 0.06

* Fri Dec 16 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 182468
- update to 0.05

* Mon Nov 07 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 165104
- imported package perl-B-Flags


* Mon Nov 07 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
